# Make sure you update the below configuration as appropriate for your
# environment.
region: eu-west-2
availability_zone: eu-west-2a
domain: example.org
# The subdomain (a.k.a hostname) GUARDARA should be made accessible on.
sub_domain: guardara
# The ID of an AWS hosted zone with the domain (`domain` above) registered.
hosted_zone_id: HOSTED_ZONE_ID_HERE
# Dedicate a /24 zone to GUARDARA. Subnet addresses are calculated dynamically
# from the VPC's CIDR block.
vpc_cidr: "10.1.0.0/24"
# A "fake" availability zone to the ALB that is not the same as the AZ
# actually used (`availability_zone` above). This is because an ALB (still)
# needs at least two subnets, so we provide a second, unused subnet for the
# ALB.
fake_alb_zone: eu-west-2b
dmarc_reporting_address: admin@guardara.example.org
# Your public key to allow you to log in into the GUARDARA EC2 instance.
# Once GUARDARA is deployed you will be able to log in to the EC2 instance
# using SSH as shown below.
#
# ssh -p50022 ubuntu@guardara.example.org
#
instance_deploy_public_key: ssh-rsa AAAA...YOUR_PUBLIC_KEY
guardara:
  # Deploy version 0.9.9 using the GUARDARA Deployment Bundle. You can get the
  # download link to the latest Deployment Bundle from the Releases page of the
  # documentation at:
  #
  # https://guardara-community.gitlab.io/documentation/docs/releases
  #
  # Make sure you always select the AWS specific Deployment Bundle (marked with 
  # "AWS").
  #
  installer: https://guardara-community.gitlab.io/documentation/assets/files/guardara-0.9.9.aws-7b5145e820d6b0eba5f69525ed7a23db.zip
  # Below are the credentials you will use to log in to GUARDARA for the first
  # time. Make sure you change the password of the administrator user after
  # logging in. 
  admin_email: admin@guardara.example.org
  admin_password: YOUR_VERY_STRONG_PASSWORD_HERE
